> For the complete documentation index, see [llms.txt](https://developer.branta.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.branta.pro/tech/api/health-check.md).

# Health Check

Unauthenticated liveness probe — returns `200 OK` whenever the server is up.

* <https://staging.guardrail.branta.pro/up>
* <https://guardrail.branta.pro/up>

### API key health check

Validates an API key (Bearer token in `Authorization`). Returns `200 OK` for an active key, `401 Unauthorized` for a missing, revoked, or expired key. This is what the SDKs' `isApiKeyValid()` / `IsApiKeyValidAsync()` / `is_api_key_valid()` call under the hood.

* `GET https://staging.guardrail.branta.pro/v2/api-keys/health-check`
* `GET https://guardrail.branta.pro/v2/api-keys/health-check`
